html, body {
  height: 100%;
  margin: 0;
}

body {
    background-color: var(--primary-color);
    color: var(--font-color);

    font-family: "JetBrainsMono-Regular", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}

input {
    background-color: var(--primary-color);
}
.grecaptcha-badge {
    visibility: hidden;
}

/* @media (max-width: 900px) {
} */

textarea {
    border: 1px solid gray;
    color: #FFF;
    background-color: var(--primary-color);
}

a {
    text-decoration: none;
    padding: none;
    margin: none;
    background: none;
    color: #fff;
    border: none;
    outline: none;
}

.app {
    height: 100vh;
    width: 100vw;
    max-width: 100vw;
    max-height: 100vh;
    box-sizing: border-box;
}

.container-view-login {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
}

.container-view-login .form {
    display: flex;
    flex-direction: column;
}

.container-mobile-form-post-create {
    display: none;
    width: 20em;
    height: 15em;
    border: 1px solid #FFF;

    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.container-mobile-form-post-create .container-form {
    width: 100%;
    height: 100%;

    background-color: var(--primary-color);

    display: grid;
    grid-template-columns: auto;
    grid-template-rows: auto auto;
    gap: 5px;
}

.container-post-create-buttons-mobile {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: auto auto;
    gap: 5px;
}

.container-mobile-form-post-create .container-form .textarea {
    background-color: var(--primary-color);
    resize: none;
    border: gray;
    outline: none;
    padding: 10px;
}

.post-button-image-mobile {
    background-color: var(--primary-color);
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-top: 1px solid #FFF;
    border-bottom: 1px solid #FFF;
}

.container-mobile-form-post-create .container-form button {
    background-color: var(--primary-color);
    color: #FFF;
    border-top: 1px solid #FFF;
}

.container-mobile-form-post-create .container-form button:active {
    background-color: gray;
}

.link {
    color: aqua;
    cursor: pointer;
}

.link:hover {
    text-decoration: underline;
}

.container-upvote-interaction {
    cursor: pointer;
}

.container-upvote-interaction:hover {
    background-color: gray;
}

.container-upvote-interaction:active {
    background-color: gray;
}







.container-view {
    width: 100%;
    height: 100%;

    display: grid;
    grid-template-columns: 0.4fr 1fr 0.4fr;
    grid-template-rows: 1fr 1fr 1fr;
    grid-template-areas: 
        "nav main aside"
        "nav main aside"
        "nav main aside";
}

.JetBrainsMono-Light {
    font-family: JetBrainsMono-Light;
}

.JetBrainsMono-Regular {
    font-family: JetBrainsMono-Regular;
}

.JetBrainsMono-Bold {
    font-family: JetBrainsMono-Bold;
}